parameters:
    id_cards_directory: '%kernel.project_dir%/var/id_cards'
    posts_images_directory: '%kernel.project_dir%/public/uploads/posts'

services:
    _defaults:
        autowire: true
        autoconfigure: true

    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    App\EventSubscriber\AccessControlSubscriber:
        arguments:
            $tokenStorage: '@security.token_storage'
            $urlGenerator: '@router'
        tags:
            - { name: kernel.event_subscriber }

    App\EventListener\LoginSuccessListener:
        arguments:
            $urlGenerator: '@router'
        tags:
            - { name: kernel.event_listener, event: Symfony\Component\Security\Http\Event\LoginSuccessEvent, method: __invoke }
